use 5.006;
use strict;
use warnings;
use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
    NAME             => 'state51::Odoo',
    AUTHOR           => 'OpenIMP',
    VERSION_FROM     => 'lib/state51/Odoo.pm',
    ABSTRACT_FROM    => 'lib/state51/Odoo.pm',
    MIN_PERL_VERSION => '5.006',
    CONFIGURE_REQUIRES => {
        'ExtUtils::MakeMaker' => '0',
    },
    TEST_REQUIRES => {
        'Test::Class' => 0,
        'Test::More'  => 0,
        'Test::Most'  => 0,
        'lib::abs'    => 0,
    },
    PREREQ_PM => {
        'Frontier::Client' => 0,
        'Moose'            => 0,
        'Mozilla::CA'      => 0,
        'WWW::Mechanize'   => 0,
        'state51::Logger'  => 0,
    },
    META_MERGE => {
        resources => {
            repository => 'https://gitlab.openimp.com/state51-music-group/openimp/odoo-api',
        }
    },
);

# Compatibility with old versions of ExtUtils::MakeMaker
unless (eval { ExtUtils::MakeMaker->VERSION('6.64'); 1 }) {
    my $test_requires = delete $WriteMakefileArgs{TEST_REQUIRES} || {};
    @{$WriteMakefileArgs{PREREQ_PM}}{keys %$test_requires} = values %$test_requires;
}

unless (eval { ExtUtils::MakeMaker->VERSION('6.55_03'); 1 }) {
    my $build_requires = delete $WriteMakefileArgs{BUILD_REQUIRES} || {};
    @{$WriteMakefileArgs{PREREQ_PM}}{keys %$build_requires} = values %$build_requires;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
    unless eval { ExtUtils::MakeMaker->VERSION('6.52'); 1 };
delete $WriteMakefileArgs{MIN_PERL_VERSION}
    unless eval { ExtUtils::MakeMaker->VERSION('6.48'); 1 };
delete $WriteMakefileArgs{LICENSE}
    unless eval { ExtUtils::MakeMaker->VERSION('6.31'); 1 };

WriteMakefile(%WriteMakefileArgs);
