package state51::Odoo::Test;

use strict;
use warnings;

use Test::Most tests => 3;
use state51::Odoo;

=head1 SYNOPSYS 02_login.t

=head1 DESCRIPTION

Additional login testing because t/lib/state51/Odoo/TestUnit.pm redefine some
Frontier::Client methods in a way that voids the tests: couldn't find a way to
fix them and test the state51::Odoo->login() feature in a proper way.

=cut

my $o = state51::Odoo->new(
    user     => $ENV{ODOO_USERNAME},
    password => $ENV{ODOO_PASSWORD},
    # Note we force the usage of the *_DEV environment variables
    db_name  => $ENV{ODOO_DB_DEV},
    base_url => $ENV{ODOO_URL_DEV},
);

my $uid = $o->odoo_uid;
ok $uid > 0, 'We managed to login (retrieve an uid)';
cmp_ok $uid, '==', 86, '...and we retrieved the right login';

my $expected_to_fail_o = state51::Odoo->new(
    user     => $ENV{ODOO_USERNAME},
    # NOTE deliberate wrong password here
    password => 'MISTAKE',
    db_name  => $ENV{ODOO_DB_DEV},
    base_url => $ENV{ODOO_URL_DEV},
);

throws_ok {
    my $failed_uid = $expected_to_fail_o->odoo_uid;
} 'Moose::Exception::ValidationFailedForInlineTypeConstraint',
    '...and failing the Odoo API login with deliberate wrong password throw an exception';

done_testing();
