package state51::Odoo::Test;

use strict;
use warnings;
use base qw(Test::Class);

sub check_that_we_use_required_env_variables : Test(2) {
    my $self = shift;

    my $db_dev_env  = $ENV{ODOO_DB_DEV};
    my $url_dev_env = $ENV{ODOO_URL_DEV};

    ok $db_dev_env,  'We use an ODOO_DB_DEV environment variable in place of ODOO_DB';
    ok $url_dev_env, 'We use an ODOO_URL_DEV environment variable in place of ODOO_URL';

    diag 'Please set ODOO_DB_DEV environment variable'  unless $db_dev_env;
    diag 'Please set ODOO_URL_DEV environment variable' unless $url_dev_env;
}


1;
